using System;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.Collections.Generic;

namespace RetrieveDataFromSilverlight.Web
{
    [ServiceContract(Namespace = "RetrieveDataFromSilverlight.Web")]
    [SilverlightFaultBehavior]
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]

    public class Service1
    {
        private static List<string> _items = new List<string>();

        [OperationContract]
        public void PostData(List<string> items)
        {
            _items = items;
        }

        [OperationContract]
        public List<string> GetData()
        {
            return _items;
        }
    }
}
